# SPDX-License-Identifier: MIT
#!BuildTag: charts/open-webui:3.3.2-%RELEASE%
#!BuildTag: charts/open-webui:3.3.2
annotations:
  licenses: MIT
  helm.sh/images: |
    - image: dp.apps.rancher.io/containers/open-webui:0.3.32
      name: open-webui
apiVersion: v2
name: open-webui
version: 3.3.2
appVersion: 0.3.32

home: https://apps.rancher.io/applications/open-webui
icon: https://raw.githubusercontent.com/open-webui/open-webui/main/static/favicon.png

description: "Open WebUI is an extensible, feature-rich, and user-friendly self-hosted WebUI designed to operate entirely offline. It supports various LLM runners, including Ollama and OpenAI-compatible APIs."
keywords:
  - llm
  - chat
  - web-ui

maintainers:
- url: https://www.suse.com
  name: SUSE LLC

dependencies:
  - name: cert-manager
    condition: cert-manager.enabled
    version: 1.16.x
    repository: oci://dp.apps.rancher.io/charts
  - name: ollama
    version: 0.54.0
    repository: oci://dp.apps.rancher.io/charts
    import-values:
      - child: service
        parent: ollama.service
    condition: ollama.enabled
  - name: pipelines
    version: 0.0.4
    repository: ""
    import-values:
      - child: service
        parent: pipelines.service
    condition: pipelines.enabled
